package com.steerinfo.meterwork.meterworkshiftreport.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

@ApiModel(value="null")
public class MeterWorkShiftReport implements IBasePO<String> {
    /**
     * 交接班主键(SHIFT_REPORT_ID,VARCHAR,50)
     */
    @ApiModelProperty(value="交接班主键",required=true)
    private String shiftReportId;

    /**
     * 日期(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="日期",required=false)
    private Date createTime;

    /**
     * 班次(METER_CLASS,VARCHAR,20)
     */
    @ApiModelProperty(value="班次",required=false)
    private String meterClass;

    /**
     * 班组(METER_GROUP,VARCHAR,50)
     */
    @ApiModelProperty(value="班组",required=false)
    private String meterGroup;

    /**
     * 交班人编号(SHIFT_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="交班人编号",required=false)
    private String shiftManNo;

    /**
     * 交班人(SHIFT_MAN_NAME,VARCHAR,50)
     */
    @ApiModelProperty(value="交班人",required=false)
    private String shiftManName;

    /**
     * 工作记录人编号(WORK_RECORDER_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="工作记录人编号",required=false)
    private String workRecorderNo;

    /**
     * 工作记录人(WORK_RECORDER_NAME,VARCHAR,50)
     */
    @ApiModelProperty(value="工作记录人",required=false)
    private String workRecorderName;

    /**
     * 当班工作日志(SHIFT_WORK_LOG,VARCHAR,500)
     */
    @ApiModelProperty(value="当班工作日志",required=false)
    private String shiftWorkLog;

    /**
     * 比对记录(COMPARE_RECORDS,VARCHAR,500)
     */
    @ApiModelProperty(value="比对记录",required=false)
    private String compareRecords;

    /**
     * 设备存在问题(DEVICE_PROBLEM,VARCHAR,500)
     */
    @ApiModelProperty(value="设备存在问题",required=false)
    private String deviceProblem;

    /**
     * 工作日志(WORK_LOG,VARCHAR,500)
     */
    @ApiModelProperty(value="工作日志",required=false)
    private String workLog;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.shiftReportId;
    }

    @Override
    public void setId(String shiftReportId) {
        this.shiftReportId = shiftReportId == null ? null : shiftReportId.trim();
    }

    public String getShiftReportId() {
        return shiftReportId;
    }

    public void setShiftReportId(String shiftReportId) {
        this.shiftReportId = shiftReportId == null ? null : shiftReportId.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getMeterClass() {
        return meterClass;
    }

    public void setMeterClass(String meterClass) {
        this.meterClass = meterClass == null ? null : meterClass.trim();
    }

    public String getMeterGroup() {
        return meterGroup;
    }

    public void setMeterGroup(String meterGroup) {
        this.meterGroup = meterGroup == null ? null : meterGroup.trim();
    }

    public String getShiftManNo() {
        return shiftManNo;
    }

    public void setShiftManNo(String shiftManNo) {
        this.shiftManNo = shiftManNo == null ? null : shiftManNo.trim();
    }

    public String getShiftManName() {
        return shiftManName;
    }

    public void setShiftManName(String shiftManName) {
        this.shiftManName = shiftManName == null ? null : shiftManName.trim();
    }

    public String getWorkRecorderNo() {
        return workRecorderNo;
    }

    public void setWorkRecorderNo(String workRecorderNo) {
        this.workRecorderNo = workRecorderNo == null ? null : workRecorderNo.trim();
    }

    public String getWorkRecorderName() {
        return workRecorderName;
    }

    public void setWorkRecorderName(String workRecorderName) {
        this.workRecorderName = workRecorderName == null ? null : workRecorderName.trim();
    }

    public String getShiftWorkLog() {
        return shiftWorkLog;
    }

    public void setShiftWorkLog(String shiftWorkLog) {
        this.shiftWorkLog = shiftWorkLog == null ? null : shiftWorkLog.trim();
    }

    public String getCompareRecords() {
        return compareRecords;
    }

    public void setCompareRecords(String compareRecords) {
        this.compareRecords = compareRecords == null ? null : compareRecords.trim();
    }

    public String getDeviceProblem() {
        return deviceProblem;
    }

    public void setDeviceProblem(String deviceProblem) {
        this.deviceProblem = deviceProblem == null ? null : deviceProblem.trim();
    }

    public String getWorkLog() {
        return workLog;
    }

    public void setWorkLog(String workLog) {
        this.workLog = workLog == null ? null : workLog.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", shiftReportId=").append(shiftReportId);
        sb.append(", createTime=").append(createTime);
        sb.append(", meterClass=").append(meterClass);
        sb.append(", meterGroup=").append(meterGroup);
        sb.append(", shiftManNo=").append(shiftManNo);
        sb.append(", shiftManName=").append(shiftManName);
        sb.append(", workRecorderNo=").append(workRecorderNo);
        sb.append(", workRecorderName=").append(workRecorderName);
        sb.append(", shiftWorkLog=").append(shiftWorkLog);
        sb.append(", compareRecords=").append(compareRecords);
        sb.append(", deviceProblem=").append(deviceProblem);
        sb.append(", workLog=").append(workLog);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}